Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 620744 - xmlrpc call fails
xmlrpc call fails
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
3.6
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 07:53 EDT by Nick Petrov
Modified: 2013-06-23 21:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-03 11:56:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Petrov 2010-08-03 07:53:05 EDT
Version-Release number of selected component (if applicable):
3.6


The following code used to work in the past few days:
import xmlrpclib

rpc = xmlrpclib.ServerProxy('https://bz-web2-test.devel.redhat.com/xmlrpc.cgi')

products = rpc.RedHat.getProdInfo({'Bugzilla_login' : login, 'Bugzilla_password' : password}).keys()


Since today it does not work any more and I get:
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "/usr/lib64/python2.4/xmlrpclib.py", line 1100, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.4/xmlrpclib.py", line 1387, in __request
    verbose=self.__verbose
  File "/usr/lib64/python2.4/xmlrpclib.py", line 1151, in request
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib64/python2.4/xmlrpclib.py", line 1290, in _parse_response
    return u.close()
  File "/usr/lib64/python2.4/xmlrpclib.py", line 748, in close
    raise Fault(**self._stack[0])
xmlrpclib.Fault: <Fault -32000: 'DBD::mysql::db selectall_arrayref failed: Unknown column \'allows_unconfirmed\' in \'field list\' [for Statement "SELECT id,name,classification_id,description,isactive,votesperuser,maxvotesperbug,votestoconfirm,defaultmilestone,allows_unconfirmed FROM products WHERE  id IN (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)   ORDER BY name"] at /var/www/html/bugzilla/Bugzilla/Object.pm line 267\n\tBugzilla::Object::_do_list_select(\'Bugzilla::Product\', \' id IN (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?...\', \'ARRAY(0x2aeb27b2b8d0)\', \'undef\') called at /var/www/html/bugzilla/Bugzilla/Object.pm line 244\n\tBugzilla::Object::match(\'Bugzilla::Product\', \'HASH(0x2aeb278e7a80)\') called at /var/www/html/bugzilla/Bugzilla/Object.pm line 169\n\tBugzilla::Object::new_from_list(\'Bugzilla::Product\', \'ARRAY(0x2aeb26f9dea0)\') called at /var/www/html/bugzilla/Bugzilla/User.pm line 909\n\tBugzilla::User::get_enterable_products(\'Bugzilla::User=HASH(0x2aeb27888ed0)\') called at /var/www/html/bugzilla/Bugzilla/User.pm line 831\n\tBugzilla::User::can_enter_product(\'Bugzilla::User=HASH(0x2aeb27888ed0)\', 389) called at /loader/0x2aeb24b0c9a0/Bugzilla/Extension/RedHat/WebService/Bugzilla.pm line 2403\n\tBugzilla::Extension::RedHat::WebService::Bugzilla::getProdInfo(\'Bugzilla::Extension::RedHat::WebService::Bugzilla\', \'HASH(0x2aeb27476690)\') called at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Lite.pm line 2740\n\teval {...} called at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Lite.pm line 2725\n\teval {...} called at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Lite.pm line 2691\n\tSOAP::Server::handle(\'Bugzilla::WebService::Server::XMLRPC=HASH(0x2aeb273e9520)\', \'<?xml version=\\\'1.0\\\'?>\\x{a}<methodCall>\\x{a}<methodName>RedHat.getPr...\') called at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Transport/HTTP.pm line 387\n\tSOAP::Transport::HTTP::Server::handle(\'Bugzilla::WebService::Server::XMLRPC=HASH(0x2aeb273e9520)\') called at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Transport/HTTP.pm line 508\n\tSOAP::Transport::HTTP::CGI::handle(\'Bugzilla::WebService::Server::XMLRPC=HASH(0x2aeb273e9520)\') called at /var/www/html/bugzilla/xmlrpc.cgi line 48\n\tModPerl::ROOT::Bugzilla::ModPerl::ResponseHandler::var_www_html_bugzilla_xmlrpc_2ecgi::handler(\'Apache2::RequestRec=SCALAR(0x2aeb23af1ab0)\') called at /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/ModPerl/RegistryCooker.pm line 204\n\teval {...} called at /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/ModPerl/RegistryCooker.pm line 204\n\tModPerl::RegistryCooker::run(\'Bugzilla::ModPerl::ResponseHandler=HASH(0x2aeb273e9610)\') called at /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/ModPerl/RegistryCooker.pm line 170\n\tModPerl::RegistryCooker::default_handler(\'Bugzilla::ModPerl::ResponseHandler=HASH(0x2aeb273e9610)\') called at /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/ModPerl/Registry.pm line 31\n\tModPerl::Registry::handler(\'Bugzilla::ModPerl::ResponseHandler\', \'Apache2::RequestRec=SCALAR(0x2aeb23af1ab0)\') called at /var/www/html/bugzilla/mod_perl.pl line 121\n\tBugzilla::ModPerl::ResponseHandler::handler(\'Bugzilla::ModPerl::ResponseHandler\', \'Apache2::RequestRec=SCALAR(0x2aeb23af1ab0)\') called at -e line 0\n\teval {...} called at -e line 0\n'>
Comment 1 David Lawrence 2010-08-03 11:56:08 EDT
We recently refreshed the database on bz-web2-test.devel.redhat.com but have not yet ran the upgrade script that converts it to 3.6 format. We are doing it now so please try your tests again shortly.

Thanks
Dave

Note You need to log in before you can comment on or make changes to this bug.